Zen API

- Home
- Topics
- Types
- Files

All Classes Files Functions Variables Typedefs Friends Macros Modules Pages
Public Member Functions
k8s Struct Reference
kApi

## Description

Represents an 8-bit signed integer.

k8s supports the kdat5 and kdat6 serialization protocols.

Inheritance diagram for k8s:

## Public Member Functions
kStatus | k8s_Format (k8s value, kChar *buffer, kSize capacity)
| Converts k8s value to string. More...
kStatus | k8s_Parse (k8s *value, const kChar *str)
| Converts string to k8s value. More...
Public Member Functions inherited from kValue
kBool | kValue_Equals (kType type, const void *value, const void *other)
| Determines whether a value is equal to another value. More...
kSize | kValue_HashCode (kType type, const void *value)
| Gets a hash code representing the state of this value. More...
void | kValue_Import (kType type, void *value, const void *source)
| Imports the content of another value into this value. More...

## Related
#define | k8S_MAX
| k8s maximum value.
#define | k8S_MIN
| k8s minimum value.
#define | k8S_NULL
| k8s invalid value.
Related inherited from kValue
#define | kValue_EqualsT(kType_type, TPtr_value, TPtr_other)
| Determines whether a value is equal to another value. More...
#define | kValue_HashCodeT(kType_type, TPtr_value)
| Gets a hash code representing the state of this value. More...

## Additional Inherited Members
Protected Member Functions inherited from kValue
kBool | kValue_VEquals (kType type, const void *value, const void *other)
| Protected virtual method that compares two values for equality. More...
kSize | kValue_VHashCode (kType type, const void *value)
| Protected virtual method that calculates a hash code representing the value instance. More...
void | kValue_VImport (kType type, void *value, const void *source)
| Protected virtual method that imports data from an external source into an array-value type. More...

The documentation for this struct was generated from the following file:

- kApiDef.h